> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recipes



## OpenAPI

````yaml get /tabs/{websiteId}/recipes
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{websiteId}/recipes:
    get:
      summary: Recipes
      parameters:
        - in: path
          name: websiteId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/tabsRecipe'
                        description: Items de la lista.
                      hasNextPage:
                        type: boolean
                        description: Indica si hay una página siguiente.
                      hasPreviousPage:
                        type: boolean
                        description: Indica si hay una página anterior.
                      totalPages:
                        type: number
                        description: Total de páginas.
                      totalCount:
                        type: number
                        description: Total de items.
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsRecipe:
      type: object
      properties:
        _id:
          type: string
          example: rec-4c48bf33-1411-4c3f-adac-db39b4631cb8
          description: El ID de la receta.
        name:
          type: string
          example: Sal
          description: El nombre de la receta.
        type:
          type: string
          enum:
            - sale
            - preparation
            - subRecipe
          description: Tipo de receta.
        externalId:
          type: string
          example: ing_external_id
          description: Identificador externo del ingrediente
        ingredientInputs:
          type: array
          items:
            type: object
            properties:
              ingredientId:
                type: string
                example: ing-1234567890
                description: El ID del ingrediente.
              quantity:
                type: number
                example: 1
                description: Cantidad de ingrediente requerida.
              unitOfMeasurement:
                type: string
                example: gr
                description: Unidad de medida del ingrediente
              stockRoomId:
                type: string
                example: t-sri-asdasd
                description: Identificador de la bodega
          description: Ingredientes requeridos para la receta.
        recipeInputs:
          type: array
          items:
            type: object
            properties:
              recipeId:
                type: string
                example: rec-1234567890
                description: El ID de la receta.
              quantity:
                type: number
                example: 1
                description: Cantidad de receta requerida.
          description: Recetas requeridas para la receta.
        ingredientOutputs:
          type: array
          items:
            type: object
            properties:
              ingredientId:
                type: string
                example: ing-1234567890
                description: El ID del ingrediente.
              quantity:
                type: number
                example: 1
                description: Cantidad de ingrediente requerida.
              unitOfMeasurement:
                type: string
                example: gr
                description: Unidad de medida del ingrediente
          description: Ingredientes requeridos para la receta.

````